server {
    listen       80;
    server_name  localhost;

    root   /usr/share/nginx/html;

    index index.html;
    location / {
        try_files $uri /index.html;

    }

    location /api {
        proxy_pass  http://192.168.1.101:8080;
    }

    # Настройка кэширования статических ресурсов
    location ~* \.(js|css|png|jpg|jpeg|gif|ico|svg)$ {
        expires 30d;
        add_header Cache-Control "public, no-transform";
    }

    # Включение сжатия Gzip
    gzip on;
    gzip_types text/plain application/javascript application/json application/xml;
}